## opensmtpd 5.7.3p2

=== smtpd/Makefile ===
#	$OpenBSD$

.include <bsd.own.mk>

SUBDIR =	smtpd
SUBDIR+=	smtpctl
SUBDIR+=	makemap

uninstall:
	cd smtpd && make uninstall
	cd smtpctl && make uninstall
	cd makemap && make uninstall

.include <bsd.subdir.mk>

=== regress/config/Makefile ===
FILES = test0.conf
FILES+= test1.conf
FILES+= test2.conf
FILES+= test3.conf
FILES+= test4.conf
FILES+= test5.conf
FILES+= test6.conf
FILES+= test7.conf
FILES+= test8.conf
FILES+= test9.conf
FILES+= test10.conf
FILES+= test11.conf

test:
.for FILE in $(FILES)
	smtpd -n -f $(FILE)
.endfor

=== regress/filters/Makefile ===
CFLAGS	=	-I../../smtpd/
LDFLAGS	=	-L../../smtpd/libsmtpdfilter -lsmtpdfilter -levent -lutil

SRCS	=	filter.c

INSTALLPATH=	/usr/libexec/smtpd

all:
	$(CC) -o $(INSTALLPATH)/filter $(CFLAGS) $(SRCS) $(LDFLAGS)

=== smtpd/makemap/Makefile ===
#	$OpenBSD$

.PATH:		${.CURDIR}/..

PROG=	makemap
BINOWN=	root

BINMODE?=555

BINDIR=	/usr/libexec/smtpd
MAN=	makemap.8 newaliases.8

CFLAGS+=	-g3 -ggdb -I${.CURDIR}/..
CFLAGS+=	-Wall -Wstrict-prototypes -Wmissing-prototypes
CFLAGS+=	-Wmissing-declarations
CFLAGS+=	-Wshadow -Wpointer-arith -Wcast-qual
CFLAGS+=	-Wsign-compare -Wbounded
CFLAGS+=	-DNO_IO

SRCS=		aliases.c
SRCS+=		dict.c
SRCS+=		expand.c
SRCS+=		limit.c
SRCS+=		log.c
SRCS+=		makemap.c
SRCS+=		mailaddr.c
SRCS+=		parse.y
SRCS+=		table.c
SRCS+=		to.c
SRCS+=		tree.c
SRCS+=		util.c

SRCS+=		table_static.c
SRCS+=		table_db.c
SRCS+=		table_getpwnam.c
SRCS+=		table_proc.c

DPADD+= ${LIBUTIL} ${LIBCRYPTO} ${LIBZ}
LDADD+= -lutil -lcrypto -lz

uninstall:
	rm -f /usr/share/man/man8/makemap.8
	rm -f /usr/share/man/man8/newaliases.8
	rm -f /usr/libexec/smtpd/makemap

.include <bsd.prog.mk>

=== smtpd/smtpctl/Makefile ===
#	$OpenBSD$

.PATH:		${.CURDIR}/..

PROG=	smtpctl
BINOWN=	root

BINMODE?=555

BINDIR=	/usr/sbin
MAN=	smtpctl.8

CFLAGS+=	-g3 -ggdb -I${.CURDIR}/..
CFLAGS+=	-Wall -Wstrict-prototypes -Wmissing-prototypes
CFLAGS+=	-Wmissing-declarations
CFLAGS+=	-Wshadow -Wpointer-arith -Wcast-qual
CFLAGS+=	-Wsign-compare -Wbounded
CFLAGS+=	-DNO_IO

SRCS=		enqueue.c
SRCS+=		parser.c
SRCS+=		log.c
SRCS+=		envelope.c
SRCS+=		crypto.c
SRCS+=		queue_backend.c
SRCS+=		queue_fs.c
SRCS+=		smtpctl.c util.c
SRCS+=		compress_backend.c
SRCS+=		compress_gzip.c
SRCS+=		to.c
SRCS+=		expand.c
SRCS+=		tree.c
SRCS+=		dict.c

LDADD+=	-lutil -lz -lcrypto
DPADD+=	${LIBUTIL} ${LIBZ} ${LIBCRYPTO}

uninstall:
	rm -f /usr/share/man/man8/smtpctl.8
	rm -f /usr/sbin/smtpctl

.include <bsd.prog.mk>

=== smtpd/smtpd/Makefile ===
#	$OpenBSD$

.PATH:		${.CURDIR}/..

OPENBSD_VERSION!=	uname -r

PROG=		smtpd

SRCS=		aliases.c
SRCS+=		bounce.c
SRCS+=		ca.c
SRCS+=		compress_backend.c
SRCS+=		config.c
SRCS+=		control.c
SRCS+=		crypto.c
SRCS+=		delivery.c
SRCS+=		dict.c
SRCS+=		dns.c
SRCS+=		envelope.c
SRCS+=		esc.c
SRCS+=		expand.c
SRCS+=		filter.c
SRCS+=		forward.c
SRCS+=		iobuf.c
SRCS+=		ioev.c
.if ${OPENBSD_VERSION} != "5.7"
SRCS+=		libressl.c
.endif
SRCS+=		limit.c
SRCS+=		lka.c
SRCS+=		lka_session.c
SRCS+=		log.c
SRCS+=		mailaddr.c
SRCS+=		mda.c
SRCS+=		mproc.c
SRCS+=		mta.c
SRCS+=		mta_session.c
SRCS+=		parse.y
SRCS+=		pony.c
SRCS+=		queue.c
SRCS+=		queue_backend.c
SRCS+=		rfc2822.c
SRCS+=		ruleset.c
SRCS+=		runq.c
SRCS+=		scheduler.c
SRCS+=		scheduler_backend.c
SRCS+=		smtp.c
SRCS+=		smtp_session.c
SRCS+=		smtpd.c
SRCS+=		ssl.c
SRCS+=		ssl_smtpd.c
SRCS+=		stat_backend.c
SRCS+=		table.c
SRCS+=		to.c
SRCS+=		tree.c
SRCS+=		util.c
SRCS+=		waitq.c


# backends
SRCS+=		compress_gzip.c

SRCS+=		delivery_filename.c
SRCS+=		delivery_maildir.c
SRCS+=		delivery_mbox.c
SRCS+=		delivery_mda.c
SRCS+=		delivery_lmtp.c

SRCS+=		table_db.c
SRCS+=		table_getpwnam.c
SRCS+=		table_proc.c
SRCS+=		table_static.c

SRCS+=		queue_fs.c
SRCS+=		queue_null.c
SRCS+=		queue_proc.c
SRCS+=		queue_ram.c
SRCS+=		scheduler_ramqueue.c
SRCS+=		scheduler_null.c
SRCS+=		scheduler_proc.c

SRCS+=		stat_ramstat.c

MAN=		smtpd.8 smtpd.conf.5 table.5
BINDIR=		/usr/sbin

LDADD+=		-levent -lutil -lssl -lcrypto -lm -lz
DPADD+=		${LIBEVENT} ${LIBUTIL} ${LIBSSL} ${LIBCRYPTO} ${LIBM} ${LIBZ}
CFLAGS+=	-g3 -ggdb -I${.CURDIR}/..
CFLAGS+=	-Wall -Wstrict-prototypes -Wmissing-prototypes
CFLAGS+=	-Wmissing-declarations
CFLAGS+=	-Wshadow -Wpointer-arith -Wcast-qual
CFLAGS+=	-Wsign-compare -Wbounded
#CFLAGS+=	-Werror # during development phase (breaks some archs)
CFLAGS+=	-DIO_SSL
CFLAGS+=	-DQUEUE_PROFILING
YFLAGS=

uninstall:
	rm -f /usr/share/man/man8/smtpd.8
	rm -f /usr/share/man/man5/smtpd.conf.5
	rm -f /usr/share/man/man5/table.5
	rm -f /usr/sbin/smtpd

.include <bsd.prog.mk>

## opensmtpd 5.4.1p1

=== debian/changelog ===
opensmtpd (5.4.1p1-1) unstable; urgency=medium

  * New upstream release (Closes: #732989)
  * Updated copyright file
  * Drop the following patches:
    + 01_binary_typos.diff, applied upstream
    + 03_no_hardlinks.diff, applied upstream
    + 07_mailname.diff, applied upstream
    + 08_empty_alias.diff, applied upstream
    + 10_automake_114.diff, no longer needed
    + 11_sys-mount.h_hurd.diff, applied upstream
    + 12_kfreebsd-hurd_crypt.h.diff, applied upstream
    + 13_reserve_inodes.diff, applied upstream
    + 14_syslog_prognames.diff, applied upstream
  * Add missing automake options, 07_automake_missing_options.diff, and use
    dh-autoreconf to update the autotools files
  * Fix man errors due to unknown command, 08_man_errors.diff
  * Don't use hyphens as minus signs, 09_hyphens_in_man.diff, and override
    lintian's false-positives due to the mdoc format
  * Update the path to aliases in the default smtpd.conf to reflect the
    location specified by Debian policy, 10_smtpd.conf.diff
  * Update debian/rules with new configure option names
  * We no longer need the opensmtpf user; no longer create it and delete the
    account on upgrade from 5.3.3p1
  * Added translations:
    + Spanish (Closes: #727017)
      Thanks to Camaleón <noelamac@gmail.com>
    + Portuguese (Closes: #729923)
      Thanks to Américo Monteiro <a_monteiro@gmx.com>
    + German (Closes: #730452)
      Thanks to Chris Leick <c.leick@vollbio.de>
  * Update standards version to 3.9.5
  * Install the upstream changelog / release notes
  * Added a NEWS file advising users of the changes to config and refer to
    (included) config upgrade notes based on those from the opensmtpd wiki

 -- Ryan Kavanagh <rak@debian.org>  Sun, 02 Feb 2014 09:57:15 -0500

opensmtpd (5.3.3p1-4) unstable; urgency=low

  * Added French translations (Closes: #724343)
    Thanks to Jean-Pierre Giraud <jean-pierregiraud@neuf.fr>
  * Added Swedish translation (Closes: #725103)
    Thanks to Martin Bagge <brother@bsnet.se>
  * Don't truncate process names in syslog, 14_syslog_prognames.diff
    (Closes: #724062)

 -- Ryan Kavanagh <rak@debian.org>  Sun, 20 Oct 2013 08:07:22 -0400

opensmtpd (5.3.3p1-3) unstable; urgency=low

  * Fix filesystem queue issue on btrfs, 13_reserve_inodes.diff
    (Closes: #723893)

 -- Ryan Kavanagh <rak@debian.org>  Sat, 21 Sep 2013 09:58:14 -0400

opensmtpd (5.3.3p1-2) unstable; urgency=low

  * The BSD-4-clause license is actually BSD-3-clause + restrictions; update
    debian/copyright accordingly
  * Added Russian translations (Closes: #721269);
    Thanks Yuri Kozlov <yuray@komyakino.ru>
  * Fix FTBFS on hurd-i386 due to missing sys/mount.h,
    11_sys-mount.h_hurd.diff
  * Check if -lcrypt is needed on GNU/kFreeBSD, GNU/Hurd; fixes FTBFS,
    12_kfreebsd-hurd_crypt.h.diff
  * Drop the -r (--relative) argument to ln, it isn't supported on all
    architectures yet and was causing a FTBFS on those architectures, affects
    03_no_hardlinks.diff and 04_no_mailq.diff

 -- Ryan Kavanagh <rak@debian.org>  Tue, 10 Sep 2013 19:00:18 -0400

opensmtpd (5.3.3p1-1) unstable; urgency=low

  * Initial release (Closes: #706985)

 -- Ryan Kavanagh <rak@debian.org>  Sat, 07 Sep 2013 12:29:01 -0400

=== debian/control ===
Source: opensmtpd
Section: mail
Priority: extra
Maintainer: Ryan Kavanagh <rak@debian.org>
Uploaders: Daniel Walrond <debian@djw.org.uk>
Build-Depends: debhelper (>= 9.0.0)
 , autoconf
 , automake
 , bison
 , dh-autoreconf
 , libdb-dev
 , libevent-dev
 , libpam0g-dev
 , libssl-dev
 , libtool
 , po-debconf
Standards-Version: 3.9.5
Homepage: http://www.opensmtpd.org/
Vcs-Git: git://anonscm.debian.org/collab-maint/opensmtpd.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/opensmtpd.git;a=summary

Package: opensmtpd
Architecture: any
Provides: mail-transport-agent
Conflicts: mail-transport-agent
Replaces: mail-transport-agent
Depends: ${shlibs:Depends}, ${misc:Depends}
 , adduser
Description: secure, reliable, lean, and easy-to configure SMTP server
 The OpenSMTPD server seeks to be
  * as secure as possible, and uses privilege separation to mitigate
    possible security bugs
  * as reliable as possible: any accepted email must not be lost
  * lean: it covers typical usage cases instead of every obscure one
  * easy to configure, with a configuration syntax reminiscent of the OpenBSD
    Packet Filter's (PF)
  * fast and efficient: it can handle large queues with reasonable performance

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- \
	    --with-pam \
	    --with-mantype=man \
	    --with-maildir=/var/mail \
	    --with-privsep-path=/var/lib/opensmtpd/empty \
	    --with-privsep-user=opensmtpd \
	    --with-queue-user=opensmtpq

override_dh_installchangelogs:
	dh_installchangelogs debian/upstream_changelog.txt

override_dh_fixperms:
	dh_fixperms
	chmod 711 debian/opensmtpd/var/spool/smtpd
	# OpenSMTPD needs the offline mail queue (for messages sent locally,
	# e.g., via /usr/sbin/sendmail) to be 1777
	chmod 1777 debian/opensmtpd/var/spool/smtpd/offline

=== debian/watch ===
version=3

http://www.opensmtpd.org/archives/opensmtpd-([^latest][^201][0-9a-z.]+).tar.gz

## opensmtpd 5.4.2p1

=== debian/changelog ===
opensmtpd (5.4.2p1-4) unstable; urgency=medium

  * Don't abort on unseen flags in debconf (Closes: #770939)
  * Added Dutch translations.
    Thanks to Frans Spiesschaert <Frans.Spiesschaert@yucom.be>
  * Bump standards version to 3.9.6
  * Updated debian/copyright to conform to dep5

 -- Ryan Kavanagh <rak@debian.org>  Fri, 06 Feb 2015 13:04:56 -0500

opensmtpd (5.4.2p1-3) unstable; urgency=medium

  * Specify location of CA certificates when running ./configure; fixes broken
    certificate verification when establishing encrypted connection (Closes:
    #756069)

 -- Ryan Kavanagh <rak@debian.org>  Sat, 26 Jul 2014 12:08:25 +0200

opensmtpd (5.4.2p1-2) unstable; urgency=medium

  * Disable fortify, fixes sigabort on buffer overflow false positive
  * Fix broken SSL version check, 12_ssl_check.diff (Closes: #748150)

 -- Ryan Kavanagh <rak@debian.org>  Wed, 11 Jun 2014 21:30:20 +0200

opensmtpd (5.4.2p1-1) unstable; urgency=medium

  * Imported Upstream version 5.4.2p1
    + Drop 05_no_smtpscript.diff, no longer needed
    + Drop 08_man_errors.diff, applied upstream
    + Drop 09_hyphens_in_man.diff, applied upstream
  * This build against the new openssl package permits opensmtpd to start
    again (Closes: #748513); the underlying problem has been reported upstream
  * Install CONFIG-UPDATE.txt.gz (Closes: #741238)
  * Get rid of unnecessary compile time warnings, 11_compile_warnings.diff
    (Closes: #747666). Thanks to Benny Baumann for the patch.
  * Update copyright file with new holders and years
  * Update lintian overrides with new false positives for hyphens in man
    pages.

 -- Ryan Kavanagh <rak@debian.org>  Thu, 22 May 2014 21:34:02 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  , libssl-dev
  , libtool
  , po-debconf
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.opensmtpd.org/
 Vcs-Git: git://anonscm.debian.org/collab-maint/opensmtpd.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/opensmtpd.git;a=summary

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,9 @@
 #!/usr/bin/make -f
+
+# fortify detects a non-existent buffer overflow when processing the offline
+# queue at startup at the "realpath" call. Disabling it after discussion with
+# upstream.
+export DEB_BUILD_MAINT_OPTIONS=hardening=-fortify
 
 %:
 	dh $@ --with autoreconf
@@ -10,7 +15,8 @@
 	    --with-maildir=/var/mail \
 	    --with-privsep-path=/var/lib/opensmtpd/empty \
 	    --with-privsep-user=opensmtpd \
-	    --with-queue-user=opensmtpq
+	    --with-queue-user=opensmtpq \
+	    --with-ca-file=/etc/ssl/certs/ca-certificates.crt
 
 override_dh_installchangelogs:
 	dh_installchangelogs debian/upstream_changelog.txt

## opensmtpd 5.7.3p2

=== debian/changelog ===
opensmtpd (5.7.3p2-1) unstable; urgency=medium

  * New upstream release
    + Fixes segfault when relaying mail (Closes: #813398)
  * Make Vcs-* URLs secure
  * 'fortify' hardening option no longer detects false-positive buffer
    overflow when processing offline queue. Reenabling.
    + Accordingly, drop unneeded hardening-no-fortify overrides.

 -- Ryan Kavanagh <rak@debian.org>  Thu, 11 Feb 2016 09:09:22 -0500

opensmtpd (5.7.3p1-1) unstable; urgency=high

  * New upstream release
    + Fixes security issues (Closes: #800787, CVE-2015-7687). This point
      release also features fixes to security issues that weren't part of the
      Qualsys audit.
    + No longer have conflicting declarations of fatal in source
      (Closes: #749810)
  * Drop 02_hyphen_as_minus_sign.diff, 06_man_cleanup.diff,
    11_compile_warnings.diff, 12_ssl_check.diff. All applied upstream
  * Updated 07_automake_missing_options.diff to reflect changes to upstream
    source
  * Fix typo in manpage, 11_smtpd.conf.5_typo.diff
  * Update the copyright file
  * Drop our local copy of the upstream changelog
  * Recommend opensmtpd-extras: the tables and filters have been forked off
    into a separate project upstream
  * (Build-)Depend on libasr: this library has also forked off into a
    stand-alone project
  * Drop useless build-dependencies on autoconf/automake/libtool: these are
    already brought in by dh-autoreconf
  * Update lintian overrides: we drop overrides for filters moved to
    opensmtpd-extras, add overrides due to a broken dep5 check, and
    override spelling-error-in-copyright (the error is in the license text)
  * Update configure options in rules to continue building the db table and
    makemap

 -- Ryan Kavanagh <rak@debian.org>  Sun, 01 Nov 2015 20:56:47 -0500

=== debian/control ===
--- 
+++ 
@@ -4,20 +4,18 @@
 Maintainer: Ryan Kavanagh <rak@debian.org>
 Uploaders: Daniel Walrond <debian@djw.org.uk>
 Build-Depends: debhelper (>= 9.0.0)
- , autoconf
- , automake
  , bison
  , dh-autoreconf
+ , libasr-dev
  , libdb-dev
  , libevent-dev
  , libpam0g-dev
  , libssl-dev
- , libtool
  , po-debconf
 Standards-Version: 3.9.6
 Homepage: http://www.opensmtpd.org/
-Vcs-Git: git://anonscm.debian.org/collab-maint/opensmtpd.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/opensmtpd.git;a=summary
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/opensmtpd.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/opensmtpd.git;a=summary
 
 Package: opensmtpd
 Architecture: any
@@ -26,6 +24,7 @@
 Replaces: mail-transport-agent
 Depends: ${shlibs:Depends}, ${misc:Depends}
  , adduser
+Recommends: opensmtpd-extras
 Description: secure, reliable, lean, and easy-to configure SMTP server
  The OpenSMTPD server seeks to be
   * as secure as possible, and uses privilege separation to mitigate

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- \
	    --with-pam \
	    --with-mantype=man \
	    --with-maildir=/var/mail \
	    --with-privsep-path=/var/lib/opensmtpd/empty \
	    --with-privsep-user=opensmtpd \
	    --with-queue-user=opensmtpq \
	    --enable-table-db \
	    --with-ca-file=/etc/ssl/certs/ca-certificates.crt

override_dh_fixperms:
	dh_fixperms
	chmod 711 debian/opensmtpd/var/spool/smtpd
	# OpenSMTPD needs the offline mail queue (for messages sent locally,
	# e.g., via /usr/sbin/sendmail) to be 1777
	chmod 1777 debian/opensmtpd/var/spool/smtpd/offline

## opensmtpd 5.9.2p1

=== smtpd/smtpctl/Makefile ===
#	$OpenBSD: Makefile,v 1.43 2015/12/28 13:26:44 benno Exp $

.PATH:		${.CURDIR}/..

OPENBSD_VERSION!=	uname -r

PROG=	smtpctl
BINOWN=	root
BINGRP=	_smtpq

BINMODE?=2555

BINDIR=	/usr/sbin
MAN=	smtpctl.8 aliases.5 forward.5 makemap.8 newaliases.8
MLINKS=	smtpctl.8 mailq.8

CFLAGS+=	-fstack-protector-all
CFLAGS+=	-I${.CURDIR}/..
CFLAGS+=	-Wall -Wstrict-prototypes -Wmissing-prototypes
CFLAGS+=	-Wmissing-declarations
CFLAGS+=	-Wshadow -Wpointer-arith -Wcast-qual
CFLAGS+=	-Wsign-compare
CFLAGS+=	-Werror-implicit-function-declaration
CFLAGS+=	-DNO_IO
.if ${OPENBSD_VERSION} == "5.7" || ${OPENBSD_VERSION} == "5.8"
CFLAGS+=	-D"pledge(promises, paths)=0"
.endif

SRCS=	enqueue.c
SRCS+=	parser.c
SRCS+=	log.c
SRCS+=	envelope.c
SRCS+=	crypto.c
SRCS+=	queue_backend.c
SRCS+=	queue_fs.c
SRCS+=	smtpctl.c
SRCS+=	util.c
SRCS+=	compress_backend.c
SRCS+=	compress_gzip.c
SRCS+=	to.c
SRCS+=	expand.c
SRCS+=	tree.c
SRCS+=	dict.c
SRCS+=	aliases.c
SRCS+=	limit.c
SRCS+=	makemap.c
SRCS+=	parse.y
SRCS+=	mailaddr.c
SRCS+=	table.c
SRCS+=	table_static.c
SRCS+=	table_db.c
SRCS+=	table_getpwnam.c
SRCS+=	table_proc.c

LDADD+=	-lutil -lz -lcrypto
DPADD+=	${LIBUTIL} ${LIBZ} ${LIBCRYPTO}
.include <bsd.prog.mk>

=== smtpd/smtpd/Makefile ===
#	$OpenBSD: Makefile,v 1.85 2016/01/09 09:48:03 jung Exp $

.PATH:		${.CURDIR}/..

OPENBSD_VERSION!=	uname -r

PROG=		smtpd

SRCS=	aliases.c
SRCS+=	bounce.c
SRCS+=	ca.c
SRCS+=	compress_backend.c
SRCS+=	config.c
SRCS+=	control.c
SRCS+=	crypto.c
SRCS+=	delivery.c
SRCS+=	dict.c
SRCS+=	dns.c
SRCS+=	envelope.c
SRCS+=	esc.c
SRCS+=	expand.c
SRCS+=	filter.c
SRCS+=	forward.c
SRCS+=	iobuf.c
SRCS+=	ioev.c
SRCS+=	limit.c
SRCS+=	lka.c
SRCS+=	lka_session.c
SRCS+=	log.c
SRCS+=	mailaddr.c
SRCS+=	mda.c
SRCS+=	mproc.c
SRCS+=	mta.c
SRCS+=	mta_session.c
SRCS+=	parse.y
SRCS+=	pony.c
SRCS+=	queue.c
SRCS+=	queue_backend.c
SRCS+=	ruleset.c
SRCS+=	runq.c
SRCS+=	scheduler.c
SRCS+=	scheduler_backend.c
SRCS+=	smtp.c
SRCS+=	smtp_session.c
SRCS+=	smtpd.c
SRCS+=	ssl.c
SRCS+=	ssl_smtpd.c
SRCS+=	stat_backend.c
SRCS+=	table.c
SRCS+=	to.c
SRCS+=	tree.c
SRCS+=	util.c
SRCS+=	waitq.c

# RFC parsers
SRCS+=		rfc2822.c

# backends
SRCS+=		compress_gzip.c

SRCS+=		delivery_filename.c
SRCS+=		delivery_maildir.c
SRCS+=		delivery_mbox.c
SRCS+=		delivery_mda.c
SRCS+=		delivery_lmtp.c

SRCS+=		table_db.c
SRCS+=		table_getpwnam.c
SRCS+=		table_proc.c
SRCS+=		table_static.c

SRCS+=		queue_fs.c
SRCS+=		queue_null.c
SRCS+=		queue_proc.c
SRCS+=		queue_ram.c

SRCS+=		scheduler_ramqueue.c
SRCS+=		scheduler_null.c
SRCS+=		scheduler_proc.c

SRCS+=		stat_ramstat.c

MAN=		sendmail.8 smtpd.8 smtpd.conf.5 table.5
BINDIR=		/usr/sbin

LDADD+=		-levent -lutil -lssl -lcrypto -lm -lz
DPADD+=		${LIBEVENT} ${LIBUTIL} ${LIBSSL} ${LIBCRYPTO} ${LIBM} ${LIBZ}

CFLAGS+=	-fstack-protector-all
CFLAGS+=	-I${.CURDIR}/..
CFLAGS+=	-Wall -Wstrict-prototypes -Wmissing-prototypes
CFLAGS+=	-Wmissing-declarations
CFLAGS+=	-Wshadow -Wpointer-arith -Wcast-qual
CFLAGS+=	-Wsign-compare
CFLAGS+=	-Werror-implicit-function-declaration
#CFLAGS+=	-Werror # during development phase (breaks some archs)
CFLAGS+=	-DIO_SSL
CFLAGS+=	-DQUEUE_PROFILING
.if ${OPENBSD_VERSION} == "5.7" || ${OPENBSD_VERSION} == "5.8"
CFLAGS+=	-D"pledge(promises, paths)=0"
.endif
YFLAGS=

.include <bsd.prog.mk>

=== debian/changelog ===
opensmtpd (5.9.2p1-1) unstable; urgency=medium

  * New upstream release
    + Drop 04_no_mailq.diff, 11_smtpd.conf.5_typo.diff: no longer needed
  * Make debian-branch for sid debian/sid
  * Updated copyright holders
  * Updated standards-version to 3.9.8
  * Fix bug in getalias() in debian/config
  * Don't install empty /usr/bin in opensmtpd package
  * Update lintian override for missing-license-paragraph-in-dep5-copyright
  * Update our configure options to reflect name changes
  * Install missing links to smtpctl for makemap and newaliases
  * opensmtpd now requires different permissions and ownership for the offline
    queue and purge directories; update these accordingly

 -- Ryan Kavanagh <rak@debian.org>  Sat, 11 Jun 2016 14:21:51 -0400

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  , libpam0g-dev
  , libssl-dev
  , po-debconf
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.opensmtpd.org/
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/opensmtpd.git
 Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/opensmtpd.git;a=summary

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- \
	    --with-auth-pam \
	    --with-group-queue=opensmtpq \
	    --with-mantype=man \
	    --with-path-CAfile=/etc/ssl/certs/ca-certificates.crt \
	    --with-path-empty=/var/lib/opensmtpd/empty \
	    --with-path-mbox=/var/mail \
	    --with-table-db \
	    --with-user-queue=opensmtpq \
	    --with-user-smtpd=opensmtpd

override_dh_fixperms:
	dh_fixperms
	chmod 711 debian/opensmtpd/var/spool/smtpd
	# OpenSMTPD needs the offline mail queue (for messages sent locally,
	# e.g., via /usr/sbin/sendmail) to be 1770
	chmod 1770 debian/opensmtpd/var/spool/smtpd/offline
	# OpenSMTPD requires the purge directory to be 700
	chmod 1700 debian/opensmtpd/var/spool/smtpd/purge

override_dh_auto_install:
	dh_auto_install
	rmdir debian/opensmtpd/usr/bin

## opensmtpd 6.0.2p1

=== smtpd/Makefile ===
#	$OpenBSD: Makefile,v 1.15 2015/12/07 12:29:19 sunil Exp $

.include <bsd.own.mk>

SUBDIR =	smtpd
SUBDIR+=	smtpctl

.include <bsd.subdir.mk>

=== smtpd/smtpctl/Makefile ===
--- 
+++ 
@@ -1,8 +1,6 @@
-#	$OpenBSD: Makefile,v 1.43 2015/12/28 13:26:44 benno Exp $
+#	$OpenBSD: Makefile,v 1.44 2016/03/30 06:38:46 jmc Exp $
 
 .PATH:		${.CURDIR}/..
-
-OPENBSD_VERSION!=	uname -r
 
 PROG=	smtpctl
 BINOWN=	root
@@ -12,7 +10,6 @@
 
 BINDIR=	/usr/sbin
 MAN=	smtpctl.8 aliases.5 forward.5 makemap.8 newaliases.8
-MLINKS=	smtpctl.8 mailq.8
 
 CFLAGS+=	-fstack-protector-all
 CFLAGS+=	-I${.CURDIR}/..
@@ -22,9 +19,6 @@
 CFLAGS+=	-Wsign-compare
 CFLAGS+=	-Werror-implicit-function-declaration
 CFLAGS+=	-DNO_IO
-.if ${OPENBSD_VERSION} == "5.7" || ${OPENBSD_VERSION} == "5.8"
-CFLAGS+=	-D"pledge(promises, paths)=0"
-.endif
 
 SRCS=	enqueue.c
 SRCS+=	parser.c

=== smtpd/smtpd/Makefile ===
--- 
+++ 
@@ -1,8 +1,6 @@
 #	$OpenBSD: Makefile,v 1.85 2016/01/09 09:48:03 jung Exp $
 
 .PATH:		${.CURDIR}/..
-
-OPENBSD_VERSION!=	uname -r
 
 PROG=		smtpd
 
@@ -96,9 +94,6 @@
 #CFLAGS+=	-Werror # during development phase (breaks some archs)
 CFLAGS+=	-DIO_SSL
 CFLAGS+=	-DQUEUE_PROFILING
-.if ${OPENBSD_VERSION} == "5.7" || ${OPENBSD_VERSION} == "5.8"
-CFLAGS+=	-D"pledge(promises, paths)=0"
-.endif
 YFLAGS=
 
 .include <bsd.prog.mk>

=== debian/changelog ===
opensmtpd (6.0.2p1-2+deb9u1) stretch-security; urgency=high

  * Fix privilege escalation vulnerability, 019_smtpd_exec.patch.sig. An
    incorrect check allows an attacker to trick mbox delivery into executing
    arbitrary commands as root and lmtp delivery into executing arbitrary
    commands as an unprivileged user. (Closes: #950121) (CVE-2020-7247)

 -- Ryan Kavanagh <rak@debian.org>  Tue, 28 Jan 2020 20:28:49 -0500

opensmtpd (6.0.2p1-2) unstable; urgency=medium

  * Let smtpd create its spool directory tree instead of shipping it.
    This fixes errors regarding directories with incorrect owners.
    Thanks to Harald Dunkel for a patch. (Closes: #843978)
  * Actually remove the spool directory on purge.

 -- Ryan Kavanagh <rak@debian.org>  Tue, 07 Mar 2017 09:33:17 -0500

opensmtpd (6.0.2p1-1) unstable; urgency=medium

  * Added Brazilian Portuguese debconf templates translation (Closes: #829336)
  * Added missing dependency on ed (Closes: #834280)
  * Switch B-D to libssl1.0-dev while upstream determines how to best
    transition to OpenSSL 1.1 (Closes: #828473)
  * Fix manpage formatting issues (Closes: #832008)
  * Added missing dependency on lsb-base
  * Add missing build-dependency on zlib1g-dev
  * Add lintian override for spelling mistake in copyright text

 -- Ryan Kavanagh <rak@debian.org>  Fri, 25 Nov 2016 15:51:28 -0500

=== debian/control ===
--- 
+++ 
@@ -10,12 +10,13 @@
  , libdb-dev
  , libevent-dev
  , libpam0g-dev
- , libssl-dev
+ , libssl1.0-dev
  , po-debconf
+ , zlib1g-dev
 Standards-Version: 3.9.8
 Homepage: http://www.opensmtpd.org/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/opensmtpd.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/opensmtpd.git;a=summary
+Vcs-Git: https://salsa.debian.org/debian/opensmtpd.git -b debian/stretch
+Vcs-Browser: https://salsa.debian.org/debian/opensmtpd
 
 Package: opensmtpd
 Architecture: any
@@ -24,6 +25,8 @@
 Replaces: mail-transport-agent
 Depends: ${shlibs:Depends}, ${misc:Depends}
  , adduser
+ , ed
+ , lsb-base (>= 3.0-6)
 Recommends: opensmtpd-extras
 Description: secure, reliable, lean, and easy-to configure SMTP server
  The OpenSMTPD server seeks to be

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- \
	    --with-auth-pam \
	    --with-group-queue=opensmtpq \
	    --with-path-CAfile=/etc/ssl/certs/ca-certificates.crt \
	    --with-path-empty=/var/lib/opensmtpd/empty \
	    --with-path-mbox=/var/mail \
	    --with-table-db \
	    --with-user-queue=opensmtpq \
	    --with-user-smtpd=opensmtpd

override_dh_auto_install:
	dh_auto_install
	rmdir debian/opensmtpd/usr/bin

## opensmtpd 6.0.3p1

=== smtpd/Makefile ===
#	$OpenBSD: Makefile,v 1.16 2017/02/14 16:02:13 gilles Exp $

.include <bsd.own.mk>

SUBDIR =	smtpd
SUBDIR+=	smtpctl
#SUBDIR+=	mail

.include <bsd.subdir.mk>

=== smtpd/mail/Makefile ===
#	$OpenBSD: Makefile,v 1.4 2017/08/09 07:56:10 gilles Exp $

.include <bsd.own.mk>

SUBDIR =	mail.lmtp
SUBDIR+=	mail.file
SUBDIR+=	mail.maildir
SUBDIR+=	mail.mda

.include <bsd.subdir.mk>

=== smtpd/smtpctl/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-#	$OpenBSD: Makefile,v 1.44 2016/03/30 06:38:46 jmc Exp $
+#	$OpenBSD: Makefile,v 1.45 2017/07/03 22:21:47 espie Exp $
 
 .PATH:		${.CURDIR}/..
 
@@ -19,6 +19,7 @@
 CFLAGS+=	-Wsign-compare
 CFLAGS+=	-Werror-implicit-function-declaration
 CFLAGS+=	-DNO_IO
+YFLAGS=
 
 SRCS=	enqueue.c
 SRCS+=	parser.c

=== smtpd/smtpd/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-#	$OpenBSD: Makefile,v 1.85 2016/01/09 09:48:03 jung Exp $
+#	$OpenBSD: Makefile,v 1.88 2017/08/13 11:10:31 eric Exp $
 
 .PATH:		${.CURDIR}/..
 
@@ -17,7 +17,6 @@
 SRCS+=	envelope.c
 SRCS+=	esc.c
 SRCS+=	expand.c
-SRCS+=	filter.c
 SRCS+=	forward.c
 SRCS+=	iobuf.c
 SRCS+=	ioev.c
@@ -27,6 +26,7 @@
 SRCS+=	log.c
 SRCS+=	mailaddr.c
 SRCS+=	mda.c
+SRCS+=	mda_variables.c
 SRCS+=	mproc.c
 SRCS+=	mta.c
 SRCS+=	mta_session.c
@@ -40,6 +40,7 @@
 SRCS+=	scheduler_backend.c
 SRCS+=	smtp.c
 SRCS+=	smtp_session.c
+SRCS+=	smtpf_session.c
 SRCS+=	smtpd.c
 SRCS+=	ssl.c
 SRCS+=	ssl_smtpd.c

=== smtpd/mail/mail.file/Makefile ===
.PATH:		${.CURDIR}/../..

PROG=	mail.file
BINOWN=	root
BINGRP=	wheel

BINMODE?=0555

BINDIR=	/usr/libexec
MAN=	mail.file.8

CFLAGS+=	-fstack-protector-all
CFLAGS+=	-Wall -Wstrict-prototypes -Wmissing-prototypes
CFLAGS+=	-Wmissing-declarations
CFLAGS+=	-Wshadow -Wpointer-arith -Wcast-qual
CFLAGS+=	-Wsign-compare
CFLAGS+=	-Werror-implicit-function-declaration

SRCS=	mail.file.c

.include <bsd.prog.mk>

=== smtpd/mail/mail.lmtp/Makefile ===
.PATH:		${.CURDIR}/../..

PROG=	mail.lmtp
BINOWN=	root
BINGRP=	wheel

BINMODE?=0555

BINDIR=	/usr/libexec
MAN=	mail.lmtp.8

CFLAGS+=	-fstack-protector-all
CFLAGS+=	-Wall -Wstrict-prototypes -Wmissing-prototypes
CFLAGS+=	-Wmissing-declarations
CFLAGS+=	-Wshadow -Wpointer-arith -Wcast-qual
CFLAGS+=	-Wsign-compare
CFLAGS+=	-Werror-implicit-function-declaration

SRCS=	mail.lmtp.c

.include <bsd.prog.mk>

=== smtpd/mail/mail.mda/Makefile ===
.PATH:		${.CURDIR}/../..

PROG=	mail.mda
BINOWN=	root
BINGRP=	wheel

BINMODE?=0555

BINDIR=	/usr/libexec
MAN=	mail.mda.8

CFLAGS+=	-fstack-protector-all
CFLAGS+=	-Wall -Wstrict-prototypes -Wmissing-prototypes
CFLAGS+=	-Wmissing-declarations
CFLAGS+=	-Wshadow -Wpointer-arith -Wcast-qual
CFLAGS+=	-Wsign-compare
CFLAGS+=	-Werror-implicit-function-declaration

SRCS=	mail.mda.c

.include <bsd.prog.mk>

=== debian/changelog ===
opensmtpd (6.0.3p1-5+deb10u4) buster-security; urgency=high

  * Fix LPE and RCE vulnerability (Closes: #952453) (CVE-2020-8794)
    An out of bounds read in smtpd allows an attacker to inject arbitrary
    commands into the envelope file which are then executed as root.
    Separately, missing privilege revocation in smtpctl allows arbitrary
    commands to be run with the _smtpq group.
    OpenBSD 6.6 errata 021:
    https://ftp.openbsd.org/pub/OpenBSD/patches/6.6/common/021_smtpd_envelope.patch.sig

 -- Ryan Kavanagh <rak@debian.org>  Tue, 25 Feb 2020 11:12:06 -0500

opensmtpd (6.0.3p1-5+deb10u3) buster-security; urgency=high

  * Fix two major security bugs (Closes: #950121) (CVE-2020-7247)
    1. smtpd can crash on opportunistic TLS downgrade, causing a denial of
       service. OpenBSD 6.6 errata 018:
       https://ftp.openbsd.org/pub/OpenBSD/patches/6.6/common/018_smtpd_tls.patch.sig
    2. Fix privilege escalation vulnerability: An incorrect check allows an
       attacker to trick mbox delivery into executing arbitrary commands as
       root and lmtp delivery into executing arbitrary commands as an
       unprivileged user. OpenBSD 6.6 errata 019:
       https://ftp.openbsd.org/pub/OpenBSD/patches/6.6/common/019_smtpd_exec.patch.sig

 -- Ryan Kavanagh <rak@debian.org>  Tue, 28 Jan 2020 19:44:11 -0500

opensmtpd (6.0.3p1-5+deb10u2) buster; urgency=medium

  * Handle non-zero exit code from hostname during config phase
    (Closes: #948824)

 -- Ryan Kavanagh <rak@debian.org>  Thu, 23 Jan 2020 16:36:09 -0500

opensmtpd (6.0.3p1-5+deb10u1) buster; urgency=medium

  * Warn users of change of smtpd.conf syntax (Closes: #944268)
  * Install smtpctl setgid opensmtpq (Closes: #945910)

 -- Ryan Kavanagh <rak@debian.org>  Sat, 21 Dec 2019 17:41:55 -0500

opensmtpd (6.0.3p1-5) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field

  [ Ryan Kavanagh ]
  * Handle empty strings in postinst (Closes: #921429)
  * Handle missing /etc/mailname (Closes: #913318)
  * Update init script dependencies in comments
  * Bump standards-version to 4.3.0; no changes required
  * Drop check for ancient package version from postinst
  * No longer install documentation for migration from version 5.3 to 5.4

 -- Ryan Kavanagh <rak@debian.org>  Wed, 06 Feb 2019 10:16:39 -0500

opensmtpd (6.0.3p1-4) unstable; urgency=medium

  * Don't use 'smtpctl stop' in the init script either (Closes: #893367)
  * Bump standards version to 4.1.4

 -- Ryan Kavanagh <rak@debian.org>  Mon, 30 Apr 2018 12:31:18 -0400

opensmtpd (6.0.3p1-3) unstable; urgency=medium

  * Update build-depends to not require OpenSSL be version 1.0

 -- Ryan Kavanagh <rak@debian.org>  Thu, 22 Mar 2018 19:19:25 -0400

opensmtpd (6.0.3p1-2) unstable; urgency=medium

  * Fix the stop target in the systemd service (Closes: #893367)
  * Update Vcs-* fields to point to salsa
  * Enable OpenSSL 1.1 support, 11_ssl_1.1.diff (Closes: #859544)
    Thanks to Sebastian Andrzej Siewior for the patch.
  * Conflict with sendmail-base: provides various commands such as
    "newaliases" that could cause confusion with our own commands
    (Closes: #888290)

 -- Ryan Kavanagh <rak@debian.org>  Sun, 18 Mar 2018 13:53:00 -0400

opensmtpd (6.0.3p1-1) unstable; urgency=medium

  * New upstream release
  * Updated copyright years
  * Added documentation key to smtpd systemd unit file

 -- Ryan Kavanagh <rak@debian.org>  Tue, 16 Jan 2018 12:18:40 -0500

opensmtpd (6.0.2p1-3) unstable; urgency=medium

  * Set Git branch in Vcs-Git to debian/sid
  * Bump debhelper build-dependency to >= 11 and compat to 11
  * Drop dh-autoreconf: not needed with dh >= 11
  * Bump standards-version to 4.1.3
  * Added systemd unit file (Closes: #733315, #871311)
  * Change priority to optional
  * Use https for URLs in debian/watch and for Homepage
  * Turn on all hardening options
  * Suggest ca-certificates, which provides /etc/ssl/certs/ca-certificates.crt

 -- Ryan Kavanagh <rak@debian.org>  Sun, 07 Jan 2018 18:00:29 -0500

=== debian/control ===
--- 
+++ 
@@ -1,33 +1,34 @@
 Source: opensmtpd
 Section: mail
-Priority: extra
+Priority: optional
 Maintainer: Ryan Kavanagh <rak@debian.org>
 Uploaders: Daniel Walrond <debian@djw.org.uk>
-Build-Depends: debhelper (>= 9.0.0)
+Build-Depends: debhelper (>= 11)
  , bison
- , dh-autoreconf
  , libasr-dev
  , libdb-dev
  , libevent-dev
  , libpam0g-dev
- , libssl1.0-dev
+ , libssl-dev
  , po-debconf
  , zlib1g-dev
-Standards-Version: 3.9.8
-Homepage: http://www.opensmtpd.org/
-Vcs-Git: https://salsa.debian.org/debian/opensmtpd.git -b debian/stretch
+Standards-Version: 4.3.0
+Homepage: https://www.opensmtpd.org/
+Vcs-Git: https://salsa.debian.org/debian/opensmtpd.git -b debian/buster
 Vcs-Browser: https://salsa.debian.org/debian/opensmtpd
 
 Package: opensmtpd
 Architecture: any
 Provides: mail-transport-agent
 Conflicts: mail-transport-agent
+ , sendmail-base
 Replaces: mail-transport-agent
 Depends: ${shlibs:Depends}, ${misc:Depends}
  , adduser
  , ed
  , lsb-base (>= 3.0-6)
 Recommends: opensmtpd-extras
+Suggests: ca-certificates
 Description: secure, reliable, lean, and easy-to configure SMTP server
  The OpenSMTPD server seeks to be
   * as secure as possible, and uses privilege separation to mitigate

=== debian/watch ===
version=3

https://www.opensmtpd.org/archives/opensmtpd-([^latest][^201][0-9a-z.]+).tar.gz

## opensmtpd 6.6.2p1

=== debian/changelog ===
opensmtpd (6.6.2p1-1) unstable; urgency=high

  * New upstream release fixes the following two security issues:
    + smtpd can crash on opportunistic TLS downgrade, causing a denial of
      service.
    + An incorrect check allows an attacker to trick mbox delivery into
      executing arbitrary commands as root and lmtp delivery into executing
      arbitrary commands as an unprivileged user.
  * Bump standards version to 4.5.0

 -- Ryan Kavanagh <rak@debian.org>  Tue, 28 Jan 2020 17:27:21 -0500

opensmtpd (6.6.1p1-5) unstable; urgency=medium

  * Handle non-zero exit code from hostname during config phase
    (Closes: #948824)

 -- Ryan Kavanagh <rak@debian.org>  Wed, 22 Jan 2020 12:46:43 -0500

opensmtpd (6.6.1p1-4) unstable; urgency=medium

  * Don't use force with dpkg-statoverride in postinst when setting
    smtpctl setgid
  * Make sure to remove statoverride before opensmtpdq group on purge

 -- Ryan Kavanagh <rak@debian.org>  Sat, 21 Dec 2019 17:52:40 -0500

opensmtpd (6.6.1p1-3) unstable; urgency=medium

  * Install smtpctl setgid opensmtpq (Closes: #945910)

 -- Ryan Kavanagh <rak@debian.org>  Sun, 01 Dec 2019 09:50:39 -0500

opensmtpd (6.6.1p1-2) unstable; urgency=medium

  * Allow custom config file paths via defaults file (Closes: #945280)

 -- Ryan Kavanagh <rak@debian.org>  Sat, 30 Nov 2019 13:48:40 -0500

opensmtpd (6.6.1p1-1) unstable; urgency=medium

  * New upstream release (Closes: #944230)
    + Drop 11_ssl_1.1.diff (no longer needed)
    + Update copyright holders
  * Fix bugs in init script. Thanks to Harald Dunkel for patch
  * Bump standards version to 4.4.1
  * We no longer need to override dh_auto_install
  * Fix typos in manpage, 01_typos_smtpd.conf.5.diff
  * This version of opensmtpd breaks opensmtpd-extras < 6.6.0

 -- Ryan Kavanagh <rak@debian.org>  Tue, 19 Nov 2019 12:06:13 -0500

opensmtpd (6.4.2p1-1) experimental; urgency=medium

  * New upstream release (Closes: #920489)
    + Uploading to experimental to test patches that let us continue
      supporting OpenSSL (thanks to Linda Lapinlampi)
  * Warn users about changes to smtpd.conf format in NEWS file

 -- Ryan Kavanagh <rak@debian.org>  Sun, 18 Aug 2019 09:48:59 -0400

opensmtpd (6.0.3p1-6) unstable; urgency=medium

  [ Felix Lechner ]
  * Give different software licenses unique names; create missing License
    stanzas. (Closes: #827060)
  * Remove unused lintian overrides for DEP-5 copyright; add quotes to
    multi-word spelling correction.

  [ Ryan Kavanagh ]
  * set debhelper compat to 12
  * Bump standards version to 4.4.0
  * Add missing Pre-Depends on ${misc:Pre-Depends}

 -- Ryan Kavanagh <rak@debian.org>  Sat, 17 Aug 2019 21:13:01 -0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ryan Kavanagh <rak@debian.org>
 Uploaders: Daniel Walrond <debian@djw.org.uk>
-Build-Depends: debhelper (>= 11)
+Build-Depends: debhelper-compat (= 12)
  , bison
  , libasr-dev
  , libdb-dev
@@ -12,9 +12,9 @@
  , libssl-dev
  , po-debconf
  , zlib1g-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Homepage: https://www.opensmtpd.org/
-Vcs-Git: https://salsa.debian.org/debian/opensmtpd.git -b debian/buster
+Vcs-Git: https://salsa.debian.org/debian/opensmtpd.git -b debian/sid
 Vcs-Browser: https://salsa.debian.org/debian/opensmtpd
 
 Package: opensmtpd
@@ -23,11 +23,13 @@
 Conflicts: mail-transport-agent
  , sendmail-base
 Replaces: mail-transport-agent
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
  , adduser
  , ed
  , lsb-base (>= 3.0-6)
 Recommends: opensmtpd-extras
+Breaks: opensmtpd-extras (<< 6.6.0)
 Suggests: ca-certificates
 Description: secure, reliable, lean, and easy-to configure SMTP server
  The OpenSMTPD server seeks to be

## opensmtpd 6.6.4p1

=== smtpd/Makefile ===
#	$OpenBSD: Makefile,v 1.18 2018/05/24 11:38:24 gilles Exp $

.include <bsd.own.mk>

SUBDIR =	smtpd
SUBDIR+=	smtpctl
SUBDIR+=	smtp
SUBDIR+=	mail

.include <bsd.subdir.mk>

=== smtpscript/Makefile ===
SUBDIR+=	smtpscript

.include <bsd.subdir.mk>

=== regress/expand/Makefile ===
PROG=		expand
NOMAN=		1

LDFLAGS+=	-lutil

.include <bsd.prog.mk>

=== smtpd/smtpd/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-#	$OpenBSD: Makefile,v 1.88 2017/08/13 11:10:31 eric Exp $
+#	$OpenBSD: Makefile,v 1.91 2018/06/03 14:04:06 gilles Exp $
 
 .PATH:		${.CURDIR}/..
 
@@ -7,13 +7,14 @@
 SRCS=	aliases.c
 SRCS+=	bounce.c
 SRCS+=	ca.c
+SRCS+=	cert.c
 SRCS+=	compress_backend.c
 SRCS+=	config.c
 SRCS+=	control.c
 SRCS+=	crypto.c
-SRCS+=	delivery.c
 SRCS+=	dict.c
 SRCS+=	dns.c
+SRCS+=	unpack_dns.c
 SRCS+=	envelope.c
 SRCS+=	esc.c
 SRCS+=	expand.c
@@ -22,28 +23,36 @@
 SRCS+=	ioev.c
 SRCS+=	limit.c
 SRCS+=	lka.c
+SRCS+=	lka_filter.c
+SRCS+=	lka_proc.c
+SRCS+=	lka_report.c
 SRCS+=	lka_session.c
 SRCS+=	log.c
 SRCS+=	mailaddr.c
 SRCS+=	mda.c
+SRCS+=	mda_unpriv.c
 SRCS+=	mda_variables.c
 SRCS+=	mproc.c
 SRCS+=	mta.c
 SRCS+=	mta_session.c
 SRCS+=	parse.y
 SRCS+=	pony.c
+SRCS+=	proxy.c
 SRCS+=	queue.c
 SRCS+=	queue_backend.c
+SRCS+=	report_smtp.c
+SRCS+=	resolver.c
 SRCS+=	ruleset.c
 SRCS+=	runq.c
 SRCS+=	scheduler.c
 SRCS+=	scheduler_backend.c
 SRCS+=	smtp.c
 SRCS+=	smtp_session.c
-SRCS+=	smtpf_session.c
 SRCS+=	smtpd.c
+SRCS+=	srs.c
 SRCS+=	ssl.c
 SRCS+=	ssl_smtpd.c
+SRCS+=	ssl_verify.c
 SRCS+=	stat_backend.c
 SRCS+=	table.c
 SRCS+=	to.c
@@ -52,16 +61,10 @@
 SRCS+=	waitq.c
 
 # RFC parsers
-SRCS+=		rfc2822.c
+SRCS+=		rfc5322.c
 
 # backends
 SRCS+=		compress_gzip.c
-
-SRCS+=		delivery_filename.c
-SRCS+=		delivery_maildir.c
-SRCS+=		delivery_mbox.c
-SRCS+=		delivery_mda.c
-SRCS+=		delivery_lmtp.c
 
 SRCS+=		table_db.c
 SRCS+=		table_getpwnam.c
@@ -93,7 +96,7 @@
 CFLAGS+=	-Wsign-compare
 CFLAGS+=	-Werror-implicit-function-declaration
 #CFLAGS+=	-Werror # during development phase (breaks some archs)
-CFLAGS+=	-DIO_SSL
+CFLAGS+=	-DIO_TLS
 CFLAGS+=	-DQUEUE_PROFILING
 YFLAGS=

=== debian/changelog ===
opensmtpd (6.6.4p1-1) unstable; urgency=high

  * New upstream release fixes critical security bug (Closes: #952453).
    Quoting from OpenBSD errata:

        An out of bounds read in smtpd allows an attacker to inject arbitrary
        commands into the envelope file which are then executed as root.

        Separately, missing privilege revocation in smtpctl allows arbitrary
        commands to be run with the _smtpq group.

  * Update copyright file with new copyright holders
  * Remove stale entries from Uploaders field

 -- Ryan Kavanagh <rak@debian.org>  Mon, 24 Feb 2020 12:20:52 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 Section: mail
 Priority: optional
 Maintainer: Ryan Kavanagh <rak@debian.org>
-Uploaders: Daniel Walrond <debian@djw.org.uk>
 Build-Depends: debhelper-compat (= 12)
  , bison
  , libasr-dev

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,9 @@
 #!/usr/bin/make -f
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
 %:
-	dh $@ --with autoreconf
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
@@ -13,7 +15,3 @@
 	    --with-table-db \
 	    --with-user-queue=opensmtpq \
 	    --with-user-smtpd=opensmtpd
-
-override_dh_auto_install:
-	dh_auto_install
-	rmdir debian/opensmtpd/usr/bin

## opensmtpd 6.7.1p1

=== smtpd/smtpd/Makefile ===
--- 
+++ 
@@ -24,12 +24,11 @@
 SRCS+=	limit.c
 SRCS+=	lka.c
 SRCS+=	lka_filter.c
-SRCS+=	lka_proc.c
-SRCS+=	lka_report.c
 SRCS+=	lka_session.c
 SRCS+=	log.c
 SRCS+=	mailaddr.c
 SRCS+=	mda.c
+SRCS+=	mda_mbox.c
 SRCS+=	mda_unpriv.c
 SRCS+=	mda_variables.c
 SRCS+=	mproc.c

=== debian/changelog ===
opensmtpd (6.7.1p1-2) unstable; urgency=medium

  * Let gbp-dch parse meta information
  * Drop unneeded call to makemap in postinst. This also fixes a piuparts
    failure

 -- Ryan Kavanagh <rak@debian.org>  Tue, 26 May 2020 10:46:01 -0400

opensmtpd (6.7.1p1-1) unstable; urgency=medium

  * New upstream release
    + Drop 11_do_not_install-asr.h.diff, applied upstream
  * No longer ship our own copy of sendmail.8

 -- Ryan Kavanagh <rak@debian.org>  Thu, 21 May 2020 15:35:19 -0400

opensmtpd (6.7.0p1-1) unstable; urgency=medium

  * New upstream release
    + Drop 01_typos_smtpd.conf.5.diff (applied upstream)
    + Update copyright file
    + libasr is now part of opensmtpd; drop build-dep on libasr-dev
  * Bump compat level to 13
  * Determine building distribution based on branch name by setting dist=DEP14
    in gbp.conf
  * Set Rules-Requires-Root: binary-targets: we need to install mail.local
    setgid mail.
  * Don't install asr.h, 11_do_not_install-asr.h.diff

 -- Ryan Kavanagh <rak@debian.org>  Wed, 20 May 2020 11:12:53 -0400

opensmtpd (6.6.4p1-2) unstable; urgency=medium

  * mail.local must be installed setgid mail to write to mail spool
    (Closes: #959199)

 -- Ryan Kavanagh <rak@debian.org>  Thu, 30 Apr 2020 15:39:03 -0400

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,15 @@
 Section: mail
 Priority: optional
 Maintainer: Ryan Kavanagh <rak@debian.org>
-Build-Depends: debhelper-compat (= 12)
+Build-Depends: debhelper-compat (= 13)
  , bison
- , libasr-dev
  , libdb-dev
  , libevent-dev
  , libpam0g-dev
  , libssl-dev
  , po-debconf
  , zlib1g-dev
+Rules-Requires-Root: binary-targets
 Standards-Version: 4.5.0
 Homepage: https://www.opensmtpd.org/
 Vcs-Git: https://salsa.debian.org/debian/opensmtpd.git -b debian/sid
